## org.eclipse.jetty.io
Class RuntimeIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.jetty.io.RuntimeIOException

All Implemented Interfaces:
  java.io.Serializable

    public class RuntimeIOException

extends java.lang.RuntimeException

Subclass of `RuntimeException` used to signal that there was an `IOException` thrown by underlying `Writer`

See Also:
  Serialized Form

Constructor Summary
`RuntimeIOException()`
`RuntimeIOException(java.lang.String message)`
`RuntimeIOException(java.lang.String message, java.lang.Throwable cause)`
`RuntimeIOException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeIOException

    public RuntimeIOException()

### RuntimeIOException

    public RuntimeIOException(java.lang.String message)

### RuntimeIOException

    public RuntimeIOException(java.lang.Throwable cause)

### RuntimeIOException

    public RuntimeIOException(java.lang.String message,
                              java.lang.Throwable cause)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.